package hiro.yoshioka.sdh.pair;

import hiro.yoshioka.sdh.StringRecordPairData;

public class MarkStringData extends StringRecordPairData {
	private MarkType mark;
	private String note;

	public MarkStringData(String note, MarkType mark) {
		this.mark = mark;
		this.note = note;
	}

	public StringRecordPairData createCopy() {
		MarkStringData ret = new MarkStringData(note, mark);
		return ret;
	}

	public String getNote() {
		return note;
	}

	public MarkType getMark() {
		return mark;
	}

	public void setMark(MarkType mark) {
		this.mark = mark;
	}

	public String toString() {
		return "[" + mark + "]" + note;
	}
}
